.leaflet-control-layers-toggle.leaflet-layerstree-named-toggle {
    margin: 2px 5px;
    width: auto;
    height: auto;
    background-image: none;
}

.leaflet-control-layers-list{
	font: 13px / 1.7 "Helvetica Neue", Arial, Helvetica, sans-serif;
}

.leaflet-layerstree-node {
    background-color: #ffffff;
    padding: 6px;
    font-size: 14px;
    border: 1px solid #e0e0e0;
    border-radius: 8px;
    margin: 5px 0;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    transition: background-color 0.3s, box-shadow 0.3s;
}

.leaflet-layerstree-node:hover {
    cursor: pointer;
    background-color: #f9f9f9;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.leaflet-layerstree-header input{
    margin-left: 0px;
}


.leaflet-layerstree-header {
}

.leaflet-layerstree-header-pointer {
    cursor: pointer;
}

.leaflet-layerstree-header label {
    display: inline-block;
    cursor: pointer;
}

.leaflet-layerstree-header-label {
}

.leaflet-layerstree-header-name {
	padding-left: 2px;
}

.leaflet-layerstree-header-space {
}

.leaflet-layerstree-children {
    padding-left: 20px;
}

.leaflet-layerstree-children-nopad {
    padding-left: 0px;
}

.leaflet-layerstree-closed {
    color: #333;
    background-color: #fff;
    padding: 5px;
    border: 1px solid #ddd;
    border-radius: 4px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.leaflet-layerstree-opened {
    color: #333;
    background-color: #f0f0f0;
    padding: 5px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.leaflet-layerstree-hide {
    display: none;
}

.leaflet-layerstree-nevershow {
    display: none;
}

.leaflet-layerstree-expand-collapse {
    cursor: pointer;
}
